% x=[200,175, 202, 166, 250, 261, 249,169, 215, 156, 139,50,62, 135, 104,90,  48]; 
% y=[60,15, 67, 35, 73, 47, 59,33,34, 79, 65,30,49, 34, 52, 51,  7 ];
% x1=[200,175, 202, 166, 250, 261, 249,169, 215, 156, 139]; 
% y1=[60,15, 67, 35, 73, 47, 59,33,34, 79, 65 ]; 
% x2=[50,62, 135, 104,90,  48 ]; 
% y2=[30,49, 34, 52, 51,  7]; 
% plot(x,y,'o'); 
% 
% hold on
% 
% for i = 2:11, plot([x1(1);x1(i)],[y1(1);y1(i)],'r')%%%这里改你想要画的点 
% end;
% 
% for i = 2:6, plot([x2(1);x2(i)],[y2(1);y2(i)],'r')%%%这里改你想要画的点 
% end;
% hold off
% 
% x = 0:1/100:10.0;
% y = 1./x.^2;
% % y = -1/POWER(x,2);
% 
% plot(x,y)

x = 0:pi/100:pi;
y = sin(x);
%set(gca,'YTick',0:2);% 设置纵坐标的标注范围
%figure % opens new figure window
h1= plot(x,y,'Linewidth',1);
 hold on;
% imrotate(Image,45)
ylim( [-0.5,1.5] );
xlim( [-0.5,4] );

% x0 = [7*pi/20, 9*pi/20, 11*pi/20, 13*pi/20, 3*pi/4];
x0 = [pi/6, pi/3, pi/2, 2*pi/3, 5*pi/6];
y0 = sin(x0);
k = cos(x0);

b0 = y0-k.*x0;

x1 = -0.5 : 0.1 : 4;
% for i = 1:5, y1 = k(i) * x + b(i) , plot(x1,y1),end;
y1 = k(1) * x1 + b0(1) ;
h2= plot(x1,y1,'r','Linewidth',1);   %可以改直线的颜色和粗细
for i = 2:5,
y1 = k(i) * x1 + b0(i) ;
 plot(x1,y1,'r','Linewidth',1);   %可以改直线的颜色和粗细
end;
legend([h1,h2])
hold off;

% clear;clc
% k=2;
% x0=1;y0=-71;
% b=y0-k*x0;
% x=-5:20;
% y=k*x+b;
% plot(x,y)



%for i= i:5, plot([x0(i)-;x0(i)],[y1(1);y1(i)],'r');


% x1 = x0+0.1;
% y1 = f(x1);
% x2 = x0-0.1;
% y2 = f(x2);
% k = (y2-y1)/(x2-x1);  %%%%%%% 计算斜率 %%%%%%%
% b = y0-k*x0;
% ff = @(x) k*x+b;     %%%%%%% 切线方程 也可以用linspace%%%%%%
% yy = ff(x);
% plot(x,yy)    %%%%%%% 画切线  %%%%%


%  plot(y,x)

% 
% x=linspace(-1,1)+eps;
% y=1./(x);
% plot(x,y);


% 
% x1 = [14.7000   14.7500   14.8000   14.8500   14.9000   14.9500   15.0000   15.0500   15.1000   15.1500  15.2000   15.2500   15.3000   15.3500   15.4000   15.4500   15.5000   15.5500   15.6000   15.6500   15.7000];
% y1 = [1.1496    1.1822    1.2153    1.2491    1.2832    1.3180    1.3534    1.3894    1.4262    1.4634  1.5015    1.5402    1.5799    1.6201    1.6613    1.7033    1.7462    1.7901    1.8350    1.8809     1.9279];
% 
% F1 = @(X,x,y) x.*x+X(1).*x.*y+X(2).*y.*y+X(3)*x+X(4)*y + X(5)  % 圆锥曲线  X为系数
% F = @(X) F1(X,x1,y1)
%  
% X0 =  [0.3 0.4 0.4 0.4 0.5]       % Starting guess
% [Xf,resnorm] = lsqnonlin(F,X0)    % Invoke optimizer  Xf为拟合系数
%  
% syms x y
% F2 = F1(Xf,x,y)  %  拟合曲线  双曲线
%  
% xmax = max(x1);xmin = min(x1);
% ymax = max(y1);ymin = min(y1);
%  
% ezplot(F2,[xmin,xmax,ymin,ymax])  %  拟合曲线 双曲线
% hold on
% plot(x1,y1,'*')
% title('拟合圆锥曲线')